*realformat "%20.5f"
*intformat "%6i"
OMEGA: *GenData(1)
START: *GenData(2) TIME= *GenData(14)
$------------------------------------------------------------------------------
RUN_DATA
*if(strcmp(GenData(10),"NO")==0)
*else
POSTPROCESS
*endif
Solver: *\
*if(strcmp(GenData(11),"SKYLINE_SYMMETRIC_RENUMBER")==0)
SKYLINE SYMMETRIC RENUMBER
*endif
*if(strcmp(GenData(11),"SKYLINE_UNSYMMETRIC_RENUMBER")==0)
SKYLINE UNSYMMETRIC RENUMBER
*endif
*if(strcmp(GenData(11),"SKYLINE_SYMMETRIC_NO_RENUMBER")==0)
SKYLINE SYMMETRIC NO_RENUMBER
*endif
*if(strcmp(GenData(11),"SKYLINE_UNSYMMETRIC_NO_RENUMBER")==0)
SKYLINE UNSYMMETRIC NO_RENUMBER
*endif
CPU_LIMIT *GenData(16)
DATA_LIMIT *GenData(17)
END_RUN_DATA
$-----------------------------------------------------------------------------
CONTROL_DATA
*if(strcmp(GenData(3),"STRUCTURAL_SHELLS")==0)
   STRUCTURAL: SHELLS
*endif
*if(strcmp(GenData(3),"STRUCTURAL_PLATES")==0)
   STRUCTURAL: SHELLS
*endif
*format "%2i%2i%2i%2i"
   Dimensions: npoin=*npoin nelem=*nelem ndime=*ndime nnode=*nnode /
     ngaus= *\ 
*if(strcmp(GenData(3),"STRUCTURAL_CONTINUUM")==0)
*if(ndime==1)
*if(nnode==2)
2  *\
*endif
*if(nnode==3)
3  *\
*endif
*endif
*if(ndime==2)
*if(nnode==3)
1  *\
*endif
*if(nnode==4)
4  *\
*endif
*if(nnode==6)
3  *\
*endif
*if(nnode==8)
9  *\
*endif
*if(nnode==9)
9  *\
*endif
*endif
*if(ndime==3)
*if(nnode==4)
1  *\
*endif
*if(nnode==8)
8  *\
*endif
*if(nnode==10)
4  *\
*endif
*if(nnode==20)
27  *\
*endif
*if(nnode==27)
27  *\
*endif
*endif
*endif
*if(strcmp(GenData(3),"STRUCTURAL_PLATES")==0)
3   *\
*endif
*if(strcmp(GenData(3),"STRUCTURAL_SHELLS")==0)
3   *\
*endif
nsets=*nmats nmats=*nmats mcurv=*GenData(12) nfunc=2
*if(strcmp(GenData(6),"YES")==0)
DYNAMIC   NMODE= *GenData(13)
*else
*endif
*if(strcmp(GenData(7),"NO")==0)
*else
ERROR_ESTIMATION
*endif
*if(strcmp(GenData(5),"NO_LARGE")==0)
*else
LARGE_DISPLACEMENTS
*endif
*if(strcmp(GenData(9),"NO_SMOOTHING")==0)

*endif
*if(strcmp(GenData(9),"DISCRETE")==0)
SMOOTHING: DISCRETE
*endif
*if(strcmp(GenData(9),"LOCAL")==0)
SMOOTHING: LOCAL
*endif
*if(strcmp(GenData(9),"DIRECT")==0)
SMOOTHING: DIRECT
*endif
*if(strcmp(GenData(9),"HINTON")==0)
SMOOTHING: HINTON
*endif
END_CONTROL_DATA
$-----------------------------------------------------------------------------
GENERAL_DATA
$-----------------------------------------------------------------------------
  GEOMETRY: NO_INTERPOLATE
*loop elems
  *elemsnum *elemsmat *elemsConec
*end elems
*loop nodes
  *NodesNum *NodesCoord
*end
  END_GEOMETRY
$-----------------------------------------------------------------------------
  GRAVITY= *GenData(15)
  PARAMETRES COPLA = *GenData(18)
$-----------------------------------------------------------------------------
  SETS
*loop materials
   Set *matnum(): Material *matnum  *\
*if(strcmp(GenData(3),"STRUCTURAL_CONTINUUM")==0)
Type=1 *\
*if(ndime==3)
Sub_Type=4 *\
*endif
*if(ndime==1)
Sub_Type=5 *\
*endif
*if(strcmp(GenData(4),"2D_PLANE_STRESS")==0)
Sub_Type=1 *\
*endif
*if(strcmp(GenData(4),"2D_PLANE_STRAIN")==0)
Sub_Type=2 *\
*endif
*if(strcmp(GenData(4),"2D_AXISYMMETRIC")==0)
Sub_Type=3 *\
*endif
*endif
*if(strcmp(GenData(3),"STRUCTURAL_CONTINUUM")==0)
*if(ndime==1)
*if(nnode==2)
Int_rule=1   /
Int_points=2
*endif
*if(nnode==3)
Int_rule=1   /
Int_points=3
*endif
*endif
*if(ndime==2)
*if(nnode==3)
Int_rule=3   /
Int_points=1
*endif
*if(nnode==4)
Int_rule=1   /
Int_points=4
*endif
*if(nnode==6)
Int_rule=3   /
Int_points=3
*endif
*if(nnode==8)
Int_rule=1   /
Int_points=9
*endif
*if(nnode==9)
Int_rule=1   /
Int_points=9
*endif
*endif
*if(ndime==3)
*if(nnode==4)
Int_rule=3   /
Int_points=1
*endif
*if(nnode==8)
Int_rule=1   /
Int_points=8
*endif
*if(nnode==10)
Int_rule=3   /
Int_points=4
*endif
*if(nnode==20)
Int_rule=1   /
Int_points=27
*endif
*if(nnode==27)
Int_rule=1   /
Int_points=27
*endif
*endif
*endif
*if(strcmp(GenData(3),"STRUCTURAL_PLATES")==0)
Type=24 Sub_Type=1  Intrule=3  *\
Int_points=3
*endif
*if(strcmp(GenData(3),"STRUCTURAL_SHELLS")==0)
Type=21 Sub_Type=0  Intrule=3  *\
Int_points=3
*endif
*end
  END_SETS
$-----------------------------------------------------------------------------
  PROPERTIES
*loop materials
 Material *matnum():  model= *\
*if(strcmp(MatProp(1),"LINEAR_ELASTIC")==0)
0   *\
*else
2   *\
*endif
*MatProp(2)  *\
*if(ndime==1||ndime==2)
THICK=*MatProp(17) *\
*endif
DENSI=*MatProp(3) *\
THERM=*MatProp(4) /
CURVE=0 *\
*if(strcmp(MatProp(2),"ISOTROPY")==0) 
*if(strcmp(MatProp(1),"LINEAR_ELASTIC")==0)
YOUNG=*MatProp(6)  NU=*MatProp(9) *\  
*if(strcmp(GenData(6),"YES")==0)
\
DAMP1= *Matprop(12)  DAMP2= *Matprop(13)
*else

*endif
*else
YOUNG=*MatProp(6)  NU=*MatProp(9)  COHES=*MatProp(18)   FRICT= *MatProp(19) *\ 
*if(strcmp(GenData(6),"YES")==0)
\
DAMP1= *Matprop(12)  DAMP2= *Matprop(13)
*else
\
*endif
INTEQ= *\
*if(strcmp(MatProp(20),"EULER_FIRST_ORDER")==0)
1 *\
*endif
*if(strcmp(MatProp(20),"EULER_SECOND_ORDER")==0)
2 *\
*endif
*if(strcmp(MatProp(20),"RADIAL_RETURN")==0)
3 *\
*endif
TOLEQ=*MatProp(21)
*endif
*endif
*if(strcmp(MatProp(2),"ORTHOTROPY")==0) 
*if(strcmp(MatProp(1),"LINEAR_ELASTIC")==0)
EXX=*MatProp(6)     EYY=*MatProp(7)     EZZ=*MatProp(8) \
NUXY=*MatProp(9)    NUXZ=*MatProp(10)   NUYZ=*MatProp(11) \
ANGL1=*MatProp(14)  ANGL2=*MatProp(15)  ANGL3=*MatProp(16) *\
*if(strcmp(GenData(6),"YES")==0)
\
DAMP1= *Matprop(12)  DAMP2= *Matprop(13)
*else

*endif
*else
EXX=*MatProp(6)     EYY=*MatProp(7)     EZZ=*MatProp(8) \
NUXY=*MatProp(9)    NUXZ=*MatProp(10)   NUYZ=*MatProp(11) \
ANGL1=*MatProp(14)  ANGL2=*MatProp(15)  ANGL3=*MatProp(16) \
COHES=*MatProp(16)  FRICT= *MatProp(17) *\
*if(strcmp(GenData(6),"YES")==0)
\
DAMP1= *Matprop(12)  DAMP2= *Matprop(13)
*else

*endif
INTEQ= *\
*if(strcmp(MatProp(20),"EULER_FIRST_ORDER")==0)
1 *\
*endif
*if(strcmp(MatProp(20),"EULER_SECOND_ORDER")==0)
2 *\
*endif
*if(strcmp(MatProp(20),"RADIAL_RETURN")==0)
3 *\
*endif
*endif
TOLEQ=*MatProp(21)
*endif
*end
  END_PROPERTIES
$-----------------------------------------------------------------------------
END_GENERAL_DATA
$-----------------------------------------------------------------------------
*loop intervals
INTERVAL_DATA: NSTEP=*IntvData(1) DTIME=*IntvData(2)
$-----------------------------------------------------------------------------
  FUNCTION: NEW_FUNCTION
     FUNCTION 1: *IntvData(9), START=*IntvData(11) END=*IntvData(12) TIME=*IntvData(13) AMPLITUDE=*IntvData(14)
     FUNCTION 2: *IntvData(15), START=*IntvData(17) END=*IntvData(18) TIME=*IntvData(19) AMPLITUDE=*IntvData(20)  
  END_FUNCTION
$-----------------------------------------------------------------------------
  LOAD: NEW_LOAD
    Title: *IntvData(3)
    Function: 1,   *IntvData(10)
    GRAVITY_LOADS: Gx=*IntvData(6), Gy=*IntvData(7), Gz=*IntvData(8) 
    FACE_LOAD
*if(ndime==2)
*Set Cond Face-Load *elems 
*loop elems *OnlyInCond
      ielem=*elemsnum(), nodes: *globalnodes
        *cond(1):  *cond(2) *cond(3) *cond(2) *cond(3) *\
*if(IsQuadratic(int)==1)
 *cond(2) *cond(3)
*else

*endif
*end
*endif
*if(ndime==3)
*Set Cond SurFace-Load *elems 
*loop elems *OnlyInCond
      ielem=*elemsnum(), nodes: *globalnodes
        LOCAL:  0. 0. *cond(1)  0. 0. *cond(1)  0. 0. *cond(1) *\
*if(nnode==8)
0. 0. *cond(1)
*else

*endif 
*end
*endif
    END_FACE_LOAD
    POINT_LOAD
*Set Cond Point-Load *nodes
*loop nodes *OnlyInCond
      *NodesNum *cond(1) *cond(2)  *\
*if(ndime==3 || (ndime==2 && strcmp(GenData(3),"STRUCTURAL_PLATES")==0))
*cond(3)
*else

*endif
*end
    END_POINT_LOAD
  END_LOAD
$-----------------------------------------------------------------------------
  BOUNDARY: NEW_BOUNDARY
    FUNCTION: 2, *IntvData(16)
*Set Cond Surface-Constraints *nodes *or(1,int) *or(3,int) *or(5,int)
*Add Cond Line-Constraints *nodes *or(1,int) *or(3,int) *or(5,int)
*Add Cond Point-Constraints *nodes *or(1,int) *or(3,int) *or(5,int)
*loop nodes *OnlyInCond 
*if(ndime==3 && strcmp(GenData(3),"STRUCTURAL_CONTINUUM")==0)
*format "%5i%1i%1i%1i%f%f%f"
   *NodesNum *cond(1,int)*cond(3,int)*cond(5,int)  *cond(2,real) *cond(4,real) *cond(6,real)
*endif
*if(ndime==2 && strcmp(GenData(3),"STRUCTURAL_PLATES")==0)
*format "%5i%1i%1i%1i%f%f%f"
   *NodesNum *cond(1,int)*cond(3,int)*cond(5,int)  *cond(2,real) *cond(4,real) *cond(6,real)
*endif
*if(ndime==2 && strcmp(GenData(3),"STRUCTURAL_CONTINUUM")==0)
*format "%5i%1i%1i%f%f"
   *NodesNum *cond(1,int)*cond(3,int)  *cond(2,real) *cond(4,real) 
*endif
*if(ndime==3 && strcmp(GenData(3),"STRUCTURAL_SHELLS")==0)
*format "%5i%1i%1i%1i%f%f%f"
   *NodesNum *cond(1,int)*cond(3,int)*cond(5,int)000  *cond(2,real) *cond(4,real) *cond(6,real) 0.0  0.0  0.0
*endif
*end
  END_BOUNDARY_DATA
$-----------------------------------------------------------------------------
  STRATEGY: NEW_STRATEGY
    ACCELERATION: *\
*if(strcmp(IntvData(31),"OFF")==0)
OFF
*endif
*if(strcmp(IntvData(31),"SECANT-NEWTON_ONE_PARAMETER")==0)
SN1
*endif
*if(strcmp(IntvData(31),"SECANT-NEWTON_TWO_PARAMETERS")==0)
SN2
*endif
*if(strcmp(IntvData(31),"BFGS")==0)
BFGS
*endif
    ALGORITHM: *\
*if(strcmp(IntvData(25),"UPDATE_INITIAL_STIFFNESS")==0)
UPDATE  *\
STEP= *IntvData(26)    ITERATION= *IntvData(27)
*endif
*if(strcmp(IntvData(25),"NOT_UPDATE_INITIAL_STIFFNESS")==0)
INITIAL
*endif
    ARC_LENGTH: *IntvData(32) *\
*if(strcmp(IntvData(32),"DISPLACEMENT")==0)
  NODE= *IntvData(47) DOF=*IntvData(48) LENGTH=*IntvData(49)
*else

*endif
    DYNAMIC *IntvData(4)
    CONVERGENCE: *IntvData(28)  MITERATIONS= *IntvData(29)  TOLERANCE= *IntvData(30)
*if(strcmp(GenData(7),"YES")==0)
STEP= *IntvData(45)     DESIRED_ERROR= *IntvData(46)
*endif 
    LINE_SEARCH: *IntvData(33)
*if(strcmp(IntvData(40),"ON")==0)
   LOAD_INCREMENTATION:    ARC_LEN= *IntvData(44)
*endif
*if(strcmp(IntvData(40),"OFF")==0)
   LOAD_INCREMENTATION: OFF
*endif 
   OUTPUT: *\
*if(strcmp(IntvData(21),"NONE")==0)
NONE
*endif
*if(strcmp(IntvData(21),"ALL")==0)
ALL   STEP= *IntvData(22)
*endif
*if(strcmp(IntvData(21),"REACTIONS")==0)
REACTIONS  STEP= *IntvData(22) 
*endif
*if(strcmp(IntvData(21),"DISPLACEMENTS")==0)
DISPLACEMENTS   STEP= *IntvData(22)
*endif
*if(strcmp(IntvData(21),"STRESSES")==0)
STRESSES   STEP= *IntvData(22)
*endif
*if(strcmp(IntvData(21),"PRINCIPAL")==0)
PRINCIPAL   STEP= *IntvData(22)
*endif
*if(strcmp(IntvData(21),"GAUSS")==0)
GAUSS   STEP= *IntvData(22)
*endif
*if(strcmp(IntvData(21),"NODAL_GLOBAL_STRESSES")==0)
NDGLB  STEP= *IntvData(22) 
*endif
*if(strcmp(IntvData(21),"NODAL_PRINCIPAL_STRESSES")==0)
NDPR   STEP= *IntvData(22)
*endif
*if(strcmp(IntvData(23),"YES")==0)
POST_PROCESS   STEP= *IntvData(24)
*else
*endif
*Set Cond Points-Plots *nodes
*set var numentplots(int)=CondNumEntities
*if(CondNumEntities>0)
PLOT:NEW_PLOT
*loop nodes *OnlyInCond
*if(strcmp(cond(1),"DISPLACEMENT_X")==0)
   Title:Carga-Desplazamiento
   X:DISPLACEMENT X NODE=*NodesNum
*endif
*if(strcmp(cond(1),"DISPLACEMENT_Y")==0)
   Title:Carga-Desplazamiento
   X:DISPLACEMENT Y NODE=*NodesNum
*endif
*if(strcmp(cond(1),"TIME")==0)
   Title:Tiempo-Desplazamiento
   X:TIME
*endif
*if(strcmp(cond(2),"DISPLACEMENT_X")==0)
   Y:DISPLACEMENT X NODE=*NodesNum
*endif
*if(strcmp(cond(2),"DISPLACEMENT_Y")==0)
   Y:DISPLACEMENT Y NODE=*NodesNum
*endif
*if(strcmp(cond(2),"REACTION_X")==0)
   Y:REACTION X NODE=*NodesNum
*endif
*if(strcmp(cond(2),"REACTION_Y")==0)
   Y:REACTION Y NODE=*NodesNum
*endif
*if(strcmp(cond(2),"FORCE_X")==0)
   Y:FORCE X NODE=*NodesNum
*endif
*if(strcmp(cond(2),"FORCE_Y")==0)
   Y:FORCE Y NODE=*NodesNum
*endif
*end
*endif
*Set Cond Gaussian-Plots *elems
*if(CondNumEntities>0)
*if(numentplots==0)
PLOT:NEW_PLOT
*endif
*loop elems *OnlyInCond
*if(strcmp(cond(1),"DEFORMATION_XX")==0)
   Title:Tension-Deformacion
   X:STRAIN XX ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(1),"DEFORMATION_YY")==0)
   Title:Tension-Deformacion
   X:STRAIN YY ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(1),"DEFORMATION_XY")==0)
   Title:Tension-Deformacion
   X:STRAIN XY ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(1),"DEFORMATION_ZZ")==0)
   Title:Tension-Deformacion
   X:STRAIN ZZ ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(1),"DEFORMATION_XZ")==0)
   Title:Tension-Deformacion
   X:STRAIN XZ ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(1),"DEFORMATION_YZ")==0)
   Title:Tension-Deformacion
   X:STRAIN YZ ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(2),"XX-STRESS")==0)
   Y:STRESS XX ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(2),"YY-STRESS")==0)
   Y:STRESS YY ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(2),"XY-STRESS")==0)
   Y:STRESS XY ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(2),"ZZ-STRESS")==0)
   Y:STRESS ZZ ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(2),"XZ-STRESS")==0)
   Y:STRESS XZ ELEMENT=*elemsnum  Int_point=1
*endif
*if(strcmp(cond(2),"YZ-STRESS")==0)
   Y:STRESS YZ ELEMENT=*elemsnum  Int_point=1
*endif
*end
END_PLOT
*else
*if(CondNumEntities==0)
*if(numentplots==0)
*else 
END_PLOT
*endif
*endif
*endif
*if(strcmp(IntvData(36),"WILSON")==0)
*if(strcmp(IntvData(34),"CONSTANT")==0)
*else
TIME_INCREMENTATION: *IntvData(34)   INCREM= *IntvData(35)
*endif
*endif
*if(strcmp(GenData(6),"YES")==0)
*if(strcmp(IntvData(36),"NO")==0)
*endif
*if(strcmp(IntvData(36),"WILSON")==0)
TIME_STEPPING WILSON  THETA= *IntvData(37)
*endif
*if(strcmp(IntvData(36),"CENTRAL")==0)
TIME_STEPPING CENTRAL
*endif
*if(strcmp(IntvData(36),"NEWMARK")==0)
TIME_STEPPING NEWMARK  BETA= *IntvData(38)  GAMMA= *IntvData(39) 
*endif
*if(strcmp(IntvData(36),"NEWMARK-HUGHES")==0)
TIME_STEPPING NEWMARK,HUGHES  BETA= *IntvData(38)  GAMMA= *IntvData(39)
*endif
*if(strcmp(IntvData(36),"NEWMARK-BATHE")==0)
TIME_STEPPING NEWMARK,BATHE BETA= *IntvData(38)  GAMMA= *IntvData(39)
*endif
*if(strcmp(IntvData(36),"NEWMARK-TAYLOR")==0)
TIME_STEPPING NEWMARK,TAYLOR  BETA= *IntvData(38)  GAMMA= *IntvData(39)
*endif
*if(strcmp(IntvData(36),"NEWMARK-GALINDO")==0)
TIME_STEPPING NEWMARK,GALINDO  BETA= *IntvData(38)  GAMMA= *IntvData(39)
*endif
*endif
  END_STRATREGY_DATA
$-----------------------------------------------------------------------------
END_INTERVAL_DATA
*end
STOP
Copyright @CIMNE 1995 GiD to OMEGA TransLator Autor:Eduardo Car & RAMSAN Date 3/11/95 Ultima Modificacion 19/12/96


